<?php

namespace Planaday\Utility\FormBuilder;

interface Structure extends LayoutItem, SettableData {
	/**
	 * @return LayoutItem[]
	 */
	public function getContents(): array;

	public function clearContents(): static;

	public function addContents(LayoutItem ...$contents): static;
}